package com.kingdee.eas.custom.synctask;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.common.EASBizException;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;
import com.kingdee.eas.custom.synctask.*;

public class SyncTranForAtsFacade extends AbstractBizCtrl implements ISyncTranForAtsFacade
{
    public SyncTranForAtsFacade()
    {
        super();
        registerInterface(ISyncTranForAtsFacade.class, this);
    }
    public SyncTranForAtsFacade(Context ctx)
    {
        super(ctx);
        registerInterface(ISyncTranForAtsFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("8E08F1CD");
    }
    private SyncTranForAtsFacadeController getController() throws BOSException
    {
        return (SyncTranForAtsFacadeController)getBizController();
    }
    /**
     *同步打开记录-User defined method
     *@param beginDate 开始日期
     *@param endDate 结束日期
     *@param offset 默认是当天; 如果-1,则开始日期从昨天开始; 结束日期还是今天的23点59; 
     */
    public void syncPunchRecord(String beginDate, String endDate, int offset) throws BOSException, EASBizException
    {
        try {
            getController().syncPunchRecord(getContext(), beginDate, endDate, offset);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}